Developer Portal
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
  1. General
  • Start Here
    • Overview
    • Getting started
    • Authentication
    • Testing
    • Errors & status codes
    • FAQ
  • General
    • Retrieve a list of vessels
      GET
    • Additional entity search
      GET
  • Screening
    • Screening a vessel
    • Watchlist checks
    • Additional checks
    • Movement history
    • Carbon rating
    • Submit a vessel for screening
      POST
    • Retrieve a list of transactions and their screening results
      GET
    • Ship & Flag Watchlist check
      GET
    • Company Watchlist check
      GET
    • Country Sanctions check
      GET
    • Ship movement history
      GET
    • Ship-to-Ship (STS) pairing screening
      GET
    • Company history check
      GET
    • P&I Club check
      GET
    • Vessel operational status
      GET
    • Flag history check
      GET
    • AIS positional discrepancy (spoofing) events
      GET
    • Periods of Non-Reporting
      GET
    • Carbon rating details
      GET
    • Get the PurpleTRAC Screening Report PDF
      GET
    • Submit a vessel for rescreening
      PUT
    • Archive a Screening
      PUT
  • Tracking
    • Voyage updates
    • Notification catalogue
    • Additional entities
    • Tracking a vessel
    • Enable a vessel for tracking
    • Remove additional entities from a tracked vessel
    • Add additional entities to a tracked vessel
    • List the additional entities on a transaction
    • Update voyage and tracking details
    • Get vessel positional data
    • Retrieve a list of vessel or bill of lading notifications
    • Get the PurpleTRAC Trade Report PDF
  • Bill of Lading
    • Carriers
    • Verification
    • Submit a Bill of Lading for screening
    • Get all BL Screening Results
    • Get a single BL screening result
    • Get the PurpleTRAC Bill of Lading Screening Report PDF
    • Enable tracking for a screened Bill of Lading
    • Get the PurpleTRAC Bill of Lading Tracking Report PDF
    • Disable tracking for a Bill of Lading
  • Containers
    • Screening
    • Carriers
    • Submit a Container for screening
    • Get all Container Screening Results
    • Archive Container
    • Get a single Container screening result
    • Get the Container report
  • Schemas
    • BLVGetAllResultsResponse
    • BLVScreeningResponse
    • BLVLastScreeningResult
    • BLVScreeningResultDetails
    • ContainerRegistrationBody
    • ContainerRegistrationResponse
    • ContainerGetAllResultsResponse
    • ContainerScreeningResponse
    • CarbonRatings
    • CarbonRating
    • CompanySanctions
    • CompanySanction
    • CountryChecks
    • CountryCheck
    • StsPairings
    • StsPairing
    • OtherAssociations
    • OtherAssociation
    • CompanyHistoryChecks
    • CompanyHistoryCheck
    • ShipStatuses
    • ShipStatus
    • FlagHistoryChecks
    • FlagHistoryCheck
    • PositionalDiscrepancies
    • PositionalDiscrepancy
    • DiscrepancyZone
    • DiscrepancyPort
    • NonReportingResponse
    • NonReporting
    • Notifications
    • Notification
    • BLVNotification
    • BLVPortFull
    • BLVPortFallback
    • PortCallHistory
    • PortCallHistoryItem
    • Positions
    • Position
    • PositionInfo
    • RegistrationResponse
    • ShipDetails
    • ShipSanctions
    • ShipSanction
    • VesselTrackingResponse
    • VesselTransactionsResponse
    • Transaction
    • TransactionPutBody
    • TransactionPutResponse
    • TransactionRescreenResponse
    • LastPosition
    • ScreeningNotification
    • ScreeningResult
    • UserDetails
    • UserProfile
    • Error
    • InvalidContainerNumberResponse
    • VesselRegistrationBody
    • VesselTrackingRequest
    • BLRegistrationBody
    • AdditionalEntitySearchResponse
    • AdditionalEntity
    • AdditionalEntitiesRequestSchema
    • TrackingAdditionalEntity
    • TrackingAdditionalEntitiesResponse
    • TrackingAdditionalEntityInput
    • TrackingAdditionalEntitiesPutBody
    • TrackingAdditionalEntitiesPutResponse
    • TrackingAdditionalEntitiesDeleteBody
    • RemovedAdditionalEntity
    • TrackingAdditionalEntitiesDeleteResponse
    • TrackingAdditionalEntityError
    • FeatureDisabledError
    • ObjectNotFoundError
    • TransactionValidationError
    • VoyageUpdateRequest
    • VoyageUpdateResponse
    • PTracMeta
    • PTracVessel
    • PTracVesselSearchResponse
    • DuplicateTransactionError
  1. General

Additional entity search

Production
https://api.polestar-production.com
Production
https://api.polestar-production.com
GET
https://api.polestar-production.com
/purpletrac/v1/additional_entity_search
Search for additional entities by name, to be included in the vessel screening.
It will return any companies or people matching the provided name.
Note that only entities which appear on known watchlists will be returned in the results.

Request

Authorization
API Key
Add parameter in query
api_key
Example:
api_key: ********************
or
Query Params

Responses

🟢200OK
application/json
Entities whose name starts with your search term, each with the obj_id to pass when screening it. An empty objects list means the entity is on no watchlist.
Bodyapplication/json

🟠401Unauthorized
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.polestar-production.com/purpletrac/v1/additional_entity_search?username=undefined&limit=undefined&offset=undefined&name=undefined&api_key=%3Capi-key%3E'
Response Response Example
200 - Four matches
{
    "meta": {
        "limit": 20,
        "next": null,
        "offset": 0,
        "previous": null,
        "total_count": 4
    },
    "objects": [
        {
            "address_city": "Zagreb;;10000",
            "address_country": "CRTIA",
            "address_line": "Trnjanska cesta 5",
            "citizenship": null,
            "date_of_birth": null,
            "name": "Tesla Energenti",
            "obj_id": 11944745,
            "resident_of": null,
            "type": "organisation"
        },
        {
            "address_city": "Zagreb;;10000",
            "address_country": "CRTIA",
            "address_line": "Trnjanska cesta 5",
            "citizenship": null,
            "date_of_birth": null,
            "name": "Tesla Energenti za usluge i trgovinu",
            "obj_id": 11944745,
            "resident_of": null,
            "type": "organisation"
        },
        {
            "address_city": "Tehran",
            "address_country": "IRAN",
            "address_line": "No.15, Ground Floor, Abbasian Passage, After Hafez Bridge, Jomhouri St.",
            "citizenship": null,
            "date_of_birth": null,
            "name": "Tesla Hooshmand Sazan",
            "obj_id": 13388164,
            "resident_of": null,
            "type": "organisation"
        },
        {
            "address_city": "Tehran",
            "address_country": "IRAN",
            "address_line": "No.15, Ground Floor, Abbasian Passage, After Hafez Bridge, Jomhouri St.",
            "citizenship": null,
            "date_of_birth": null,
            "name": "Tesla Hooshmand Sazan Company",
            "obj_id": 13388164,
            "resident_of": null,
            "type": "organisation"
        }
    ]
}
Modified at 2026-09-18 08:35:54
Previous
Retrieve a list of vessels
Next
Screening a vessel
Built with